> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Returns sample requests data for the chosen classification

# Samples by classification data

## Query parameters

<ParamField query="from" type="string">
  start time frame of requested data

  Example: `from=2018-07-01T00:00:00`
</ParamField>

<ParamField query="to" type="string">
  end time frame of requested data

  Example: `to=2018-07-02T00:00:00`
</ParamField>

<ParamField query="cn" type="string">
  country of the request origin

  Example: `cn=uk`
</ParamField>

<ParamField query="peer_cn" type="string">
  country of the peer IP

  Example: `peer_cn=us`
</ParamField>

<ParamField query="categories" type="string">
  returns only specific classifications

  Example: `categories=ads`
</ParamField>

<ParamField query="host" type="string">
  returns only specific domains

  Example: `host=example.com`
</ParamField>

<RequestExample>
  ```sh Request theme={null}
  curl "https://api.brightdata.com/shield/samples?category=Ads" -H "Authorization: <Bearer Token>" 
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
      {
          "timestamp":"2024-02-07T11:35:45.197Z",
          "ip":"13.229.30.41",
          "zone":"zone_name",
          "bw":82345,
          "time":62594
      }, ... 
  ]
  ```
</ResponseExample>
